Download it now!
Bug 131939 - Crash on File Exit (SKIA)
Summary: Crash on File Exit (SKIA)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-04-06 20:40 UTC by Telesto
Modified: 2020-04-15 14:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (9.15 MB, application/vnd.oasis.opendocument.spreadsheet)
2020-04-06 20:41 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-04-06 20:40:53 UTC
Description:
Crash on File Exit

Steps to Reproduce:
Maybe simpler case possible, but didn't try to trim it down
1.. Open the attached file
2. Cut/Copy Column D
3. File -> Exit (No if asked for a Save) -> Crash after Window closes

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-04-06 20:41:20 UTC
Created attachment 159372 [details]
Example file
Comment 2 Roman Kuznetsov 2020-04-12 11:53:00 UTC
I got a window with "Send a rash report" (without address) 

in

Версия: 7.0.0.0.alpha0+ (x64)
ID сборки: b0b9d736fb9ed73e849f80800916466868dbce28
Потоков ЦП: 4; ОС: Windows 10.0 Build 18363; Отрисовка ИП: Skia/растр; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded

but not for

Version: 7.0.0.0.alpha0+ (x64)
Build ID: b0b9d736fb9ed73e849f80800916466868dbce28
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2020-04-15 08:49:55 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d7a3eba57338925d1e9604db2455b0a3484b1b3

do not create empty Skia surface (tdf#131939)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.